Skip to main content
GET
/
v1
/
aggregators
/
{id}
Get aggregator
curl --request GET \
  --url https://api.hyperline.co/v1/aggregators/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/aggregators/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/aggregators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "entity": "<string>",
  "property": "<string>",
  "where": {
    "fields": [
      {
        "property": "<string>"
      }
    ]
  },
  "name": "<string>",
  "description": "<string>",
  "allow_negative_values": true,
  "aggregate_on_customers_enabled": true,
  "default_interval_count": 123,
  "custom_event_name": "<string>",
  "exposed_event_keys": [
    "<string>"
  ],
  "unit_name": "<string>",
  "thresholds": [
    {
      "id": "<string>",
      "name": "<string>",
      "threshold_value": 123
    }
  ],
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25",
  "formula_sql": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required
entity
string
required
operation
enum<string>
required
Available options:
count,
sum,
sql_formula
property
string | null
required
where
object | null
required
type
enum<string>
required
Available options:
metered,
licensed
name
string | null
required
description
string | null
required
allow_negative_values
boolean
required
aggregate_on_customers_enabled
boolean
required
default_interval_count
integer | null
required
default_interval_period
enum<string> | null
required
Available options:
days,
weeks,
months,
years
custom_event_name
string | null
required
exposed_event_keys
string[]
required
unit_name
string | null
required
thresholds
object[]
required
created_at
string<date>
required
updated_at
string<date>
required
formula_sql
string | null